Docs
Sites APIInventory

One floor plan

A primary or ungrouped floor plan by slug. A grouped sibling's slug is a 404. Tag: `inventory:{property_id}`.

GET/api/sites/v1/floor-plans/{floorPlan}

A primary or ungrouped floor plan by slug. A grouped sibling's slug is a 404. Tag: inventory:{property_id}.

Authorization

websiteToken
AuthorizationBearer <token>

A Sanctum token scoped to one website.

In: header

Path Parameters

floorPlan*string

The floor plan's slug.

Query Parameters

include?string

units to embed the plan's units (at most 100 per plan).

Header Parameters

X-Resi-Website?string

Website id. Overrides Host resolution for builds running where Host is meaningless. The token must still be scoped to this website.

If-None-Match?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/sites/v1/floor-plans/string"
{  "data": {    "id": "string",    "slug": "string",    "path": "string",    "name": "string",    "marketing_name": "string",    "code": "string",    "description": "string",    "unit_type": {      "slug": "string",      "name": "string"    },    "bedrooms": 0,    "bathrooms": 0,    "bedrooms_max": 0,    "bathrooms_max": 0,    "sqft": {      "min": 0,      "max": 0    },    "rent": {      "min": 0,      "max": 0,      "base_min": 0,      "base_max": 0    },    "fees": {      "lines": [        {}      ],      "monthly_total": 0,      "monthly_total_max": 0,      "upfront_total": 0    },    "deposit": {      "min": 0,      "max": 0    },    "available_on": "string",    "availability": {      "available_now": 0,      "coming_soon": 0    },    "has_specials": true,    "is_featured": true,    "sort_order": 0,    "tags": [      "string"    ],    "image_2d": {      "id": "string",      "url": "string",      "thumb_url": "string",      "title": "string",      "caption": "string",      "alt_text": "string",      "tags": [        "string"      ]    },    "image_3d": {      "id": "string",      "url": "string",      "thumb_url": "string",      "title": "string",      "caption": "string",      "alt_text": "string",      "tags": [        "string"      ]    },    "pdf_url": "string",    "pdfs": [      {        "id": "string",        "url": "string",        "title": "string"      }    ],    "images": [      {        "id": "string",        "url": "string",        "thumb_url": "string",        "title": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ]      }    ],    "videos": [      {        "id": "string",        "provider": "string",        "url": "string",        "title": "string",        "settings": {},        "tags": [          "string"        ],        "image": {          "id": "string",          "url": "string",          "thumb_url": "string",          "title": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ]        }      }    ],    "virtual_tours": [      {        "id": "string",        "provider": "string",        "url": "string",        "title": "string",        "settings": {},        "tags": [          "string"        ],        "image": {          "id": "string",          "url": "string",          "thumb_url": "string",          "title": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ]        }      }    ],    "buildings": [      {        "id": "string",        "number": "string",        "code": "string",        "name": "string"      }    ],    "groups": [      {        "id": "string",        "label": "string",        "slug": "string",        "set": {          "id": "string",          "key": "string",          "name": "string",          "object_type": "string"        }      }    ],    "inherited_groups": [      {        "id": "string",        "label": "string",        "slug": "string",        "set": {          "id": "string",          "key": "string",          "name": "string",          "object_type": "string"        },        "via": "property"      }    ],    "property": {      "id": "string",      "slug": "string",      "name": "string"    },    "units": [      {        "id": "string",        "slug": "string",        "path": "string",        "number": "string",        "floor": "string",        "bedrooms": 0,        "bathrooms": 0,        "sqft": {          "interior": 0,          "exterior": 0        },        "description": "string",        "view_direction": "string",        "is_available": true,        "available_on": "string",        "rent": {          "min": 0,          "max": 0,          "base_min": 0,          "base_max": 0        },        "fees": {          "lines": [            {}          ],          "monthly_total": 0,          "monthly_total_max": 0,          "upfront_total": 0        },        "deposit": 0,        "specials": "string",        "flags": {          "featured": true,          "accessible": true,          "furnished": true,          "affordable": true,          "model": true,          "guest_suite": true,          "penthouse": true        },        "links": {          "tour": "string",          "quote": "string",          "application": "string"        },        "sightmap_unit_id": "string",        "tags": [          "string"        ],        "pdf_url": "string",        "pdfs": [          {            "id": "string",            "url": "string",            "title": "string"          }        ],        "images": [          {            "id": "string",            "url": "string",            "thumb_url": "string",            "title": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ]          }        ],        "videos": [          {            "id": "string",            "provider": "string",            "url": "string",            "title": "string",            "settings": {},            "tags": [              "string"            ],            "image": {              "id": "string",              "url": "string",              "thumb_url": "string",              "title": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ]            }          }        ],        "virtual_tours": [          {            "id": "string",            "provider": "string",            "url": "string",            "title": "string",            "settings": {},            "tags": [              "string"            ],            "image": {              "id": "string",              "url": "string",              "thumb_url": "string",              "title": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ]            }          }        ],        "amenities": [          {            "id": "string",            "name": "string",            "code": "string",            "description": "string",            "type": "string",            "is_marketable": true,            "tags": [              "string"            ],            "images": [              {                "id": "string",                "url": "string",                "thumb_url": "string",                "title": "string",                "caption": "string",                "alt_text": "string",                "tags": [                  "string"                ]              }            ],            "videos": [              {                "id": "string",                "provider": "string",                "url": "string",                "title": "string",                "settings": {},                "tags": [                  "string"                ],                "image": {                  "id": "string",                  "url": "string",                  "thumb_url": "string",                  "title": "string",                  "caption": "string",                  "alt_text": "string",                  "tags": [                    "string"                  ]                }              }            ],            "virtual_tours": [              {                "id": "string",                "provider": "string",                "url": "string",                "title": "string",                "settings": {},                "tags": [                  "string"                ],                "image": {                  "id": "string",                  "url": "string",                  "thumb_url": "string",                  "title": "string",                  "caption": "string",                  "alt_text": "string",                  "tags": [                    "string"                  ]                }              }            ]          }        ],        "building": {          "id": "string",          "number": "string",          "code": "string",          "name": "string"        },        "floor_plan": {          "id": "string",          "slug": "string",          "name": "string",          "path": "string",          "unit_type": {            "slug": "string",            "name": "string"          },          "image_2d": {            "id": "string",            "url": "string",            "thumb_url": "string",            "title": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ]          },          "image_3d": {            "id": "string",            "url": "string",            "thumb_url": "string",            "title": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ]          }        },        "groups": [          {            "id": "string",            "label": "string",            "slug": "string",            "set": {              "id": "string",              "key": "string",              "name": "string",              "object_type": "string"            }          }        ],        "inherited_groups": [          {            "id": "string",            "label": "string",            "slug": "string",            "set": {              "id": "string",              "key": "string",              "name": "string",              "object_type": "string"            },            "via": "property"          }        ],        "property": {          "id": "string",          "slug": "string",          "name": "string"        }      }    ]  },  "meta": {    "includes": [      "string"    ],    "cache": {      "tags": [        "string"      ],      "ttl": 0    }  }}